Create backlog planning options

post

/fscmRestApi/resources/11.13.18.05/backlogPlanningOptions

Request

Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
  • Contains one of the following values: true or false. If true, the server performs an Upsert operation instead of a Create operation. During an Upsert operation, the server attempts to find an existing resource that matches the payload. If a match is found, the server updates the existing resource instead of creating a new one. If not found or false (default), the server performs a Create operation. Note that the Upsert operation isn't supported for date-effective REST resources.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : Scheduling Diagnostic Attributes
Type: array
Title: Scheduling Diagnostic Attributes
The configurations used to enable the scheduling diagnostics and also set the attribute to calculate scheduling diagnostics for the order lines corresponding to the preconfigured attribute values.
Show Source
Nested Schema : backlogPlanningOptions-scpSchedulingDiagnosticsAttributes-item-post-request
Type: object
Show Source
Nested Schema : Scheduling Diagnostic Attribute Details
Type: array
Title: Scheduling Diagnostic Attribute Details
Attribute values for the attributes specified in scheduling diagnostics.
Show Source
Nested Schema : backlogPlanningOptions-scpSchedulingDiagnosticsAttributes-scpSchedulingDiagnosticsAttrDetails-item-post-request
Type: object
Show Source
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : backlogPlanningOptions-item-response
Type: object
Show Source
Nested Schema : Scheduling Diagnostic Attributes
Type: array
Title: Scheduling Diagnostic Attributes
The configurations used to enable the scheduling diagnostics and also set the attribute to calculate scheduling diagnostics for the order lines corresponding to the preconfigured attribute values.
Show Source
Nested Schema : backlogPlanningOptions-scpSchedulingDiagnosticsAttributes-item-response
Type: object
Show Source
Nested Schema : Scheduling Diagnostic Attribute Details
Type: array
Title: Scheduling Diagnostic Attribute Details
Attribute values for the attributes specified in scheduling diagnostics.
Show Source
Nested Schema : backlogPlanningOptions-scpSchedulingDiagnosticsAttributes-scpSchedulingDiagnosticsAttrDetails-item-response
Type: object
Show Source
  • Read Only: true
    Value that uniquely identifies the scheduling diagnostic attribute used in backlog planning options.
  • Read Only: true
    Maximum Length: 255
    Value specified for an attribute in the scheduling diagnostics section of backlog planning options.
  • Read Only: true
    Value that uniquely identifies the selected attribute's value based on the value identifier in the scheduling diagnostics section of backlog planning options.
  • Read Only: true
    Maximum Length: 64
    Name of the user who initially created the attribute details in the scheduling diagnostics section of backlog planning options.
  • Read Only: true
    Date when the user created the attribute details in the scheduling diagnostics section of backlog planning options.
  • Read Only: true
    Date when the user most recently updated the attribute details in the scheduling diagnostics section of backlog planning options.
  • Read Only: true
    Maximum Length: 64
    The user who most recently updated the attribute details in the scheduling diagnostics section of backlog planning options.
  • Read Only: true
    Maximum Length: 32
    Login of the user who most recently updated the attribute details in the scheduling diagnostics section of backlog planning options.
  • Links
  • Read Only: true
    Used to implement optimistic locking for attribute details, where the number increments every time the row is updated and is compared at the start and end of a transaction to detect if another session has updated the row.
  • Read Only: true
    Maximum Length: 64
    Value that uniquely identifies the selected attribute's value for attribute details, based on the value identifier in the scheduling diagnostics section of backlog planning options.
Back to Top

Examples

This example describes how to create backlog planning options.

Example cURL Command

Use the following cURL command to submit a request on the REST resource.

curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d 'request payload' 
"https://servername/fscmRestApi/resources/version/backlogPlanningOptions"

Example Request Body

The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it creates.

{
"BucketsPerHorizon": 90,
"CalculateConstraint": 1,
"CategorySetId": 10154,
"ConfigurationId": -1,
"DaysPastdue": 10,
"DemFulfilLeadTime": 10,
"HorizonStart": null,
"SupplyPlanName": "BLM_RT-SP-INT",
"DefaultAssignmentSetName": "BLM_ASET_DEFAULT",
"DefaultPriorityRuleName": "Default_reqdate_revenue"
}

Example Response Body

The following example includes the contents of the response body in JSON format:

{
    "BucketsPerHorizon": 90,
    "CalculateConstraint": 1,
    "CategorySetId": 10154,
    "ConfigurationId": -1,
    "CreatedBy": "BLM_ALL",
    "CreationDate": "2024-06-18T08:15:58+00:00",
    "DaysPastdue": 10,
    "DefaultAssignmentSetId": 100000012037099,
    "DefaultPriorityRuleId": 300100178581705,
    "DemFulfilLeadTime": 10,
    "HorizonStart": null,
    "LastBaselineHorizonStart": null,
    "SupplyPlan": "300100550649238",
    "SupplyPlanName": "BLM_RT-SP-INT",
    "DefaultAssignmentSetName": "BLM_ASET_DEFAULT",
    "DefaultPriorityRuleName": "Default_reqdate_revenue",
    "CategorySetName": "GOP_Catalog",
    "Message": null,
    "links": [
        {
            "rel": "self",
            "href": "https://servername/fscmRestApi/resources/version/backlogPlanningOptions/-1",
            "name": "backlogPlanningOptions",
            "kind": "item"
        },
        {
            "rel": "canonical",
            "href": "https://servername/fscmRestApi/resources/version/backlogPlanningOptions/-1",
            "name": "backlogPlanningOptions",
            "kind": "item"
        }
    ]
}
Back to Top